#if !defined(AFX_analyzelog_H__41507801_6F5D_11D2_8F2A_B6712CEBA7CD__INCLUDED_)
#define AFX_analyzelog_H__41507801_6F5D_11D2_8F2A_B6712CEBA7CD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "resultdata.h"
#include "outputfile.h"

class analyzelog  
{
public:
	int parse();
	outputfile chatlog;
	analyzelog(FILE* in_logfile, resultdata* in_result, configdata* in_config);
	virtual ~analyzelog();
private:
	FILE* logfile;
	resultdata* result;
	configdata* config;
	char* current_word;
	char current_line[2048];
	int last_time;
	void get_word (char* word, char delimiter);
	void get_word (char* line, char* word, char delimiter);
	int get_time(char* time_str);
	int checkline (char* line);
	bool timelimit_hit;
};

#endif // !defined(AFX_analyzelog_H__41507801_6F5D_11D2_8F2A_B6712CEBA7CD__INCLUDED_)
