#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <fcntl.h>

#include "linuxfunc.h"

int _filelength(int fd){
	int old=lseek(fd,0,SEEK_CUR);
	int len=lseek(fd,0,SEEK_END);
	lseek(fd,old,SEEK_SET);
	return len;
};

int _open(char *pathname, int flags, mode_t mode){
	return open(pathname,flags,mode);
};

int _open(char *path,int flags){
	return open(path,flags);
};

size_t _read(int fd,void *buf,size_t count){
	return read(fd,buf,count);
};

size_t _write(int fd,void *buf, size_t count){
	return write(fd,buf,count);
};

int _close(int fd){
	return close(fd);
};

int _chdir(char* pathstr) 
{
	return (chdir (pathstr));
}

int _mkdir(char* pathstr) 
{
	return (mkdir (pathstr, 0755));
}

char *_strupr(char *what) {
	int i = 0;
	while (what[i] != 0) {
		if (what[i] >= 'a' && what[i] <= 'z') {
			what[i] -= 'a' - 'A';
		}
		i++;
	}
	return (what);
};

char *_strlwr(char *what) {
	int i = 0;
	while (what[i] != 0) {
		if (what[i] >= 'A' && what[i] <= 'Z') {
			what[i] += 'a' - 'A';
		}
		i++;
	}
	return (what);
};

int stricmp(char *a,char *b){
	return strcasecmp(a,b);
};

int strnicmp(char *a,char *b,int n){
	return strncasecmp(a,b,n);
};

void _itoa(int i,char *a,int system){
	sprintf(a,"%i",i);
};
